import { EventEmitter } from '../../stencil-public-runtime';
import IframeMessenger from '../../services/iframeMessenger';
import IframeSession from '../../services/iframeSession';
import { ChatAccount } from '../../dtos/chatAccount';
import { ChatWithAccount } from '../../dtos/chatWithAccount';
export declare class QuickomChatIframe {
  visible: EventEmitter<boolean>;
  domain: string;
  chatAccount: ChatAccount;
  chatWithAccount: ChatWithAccount;
  iframeElement: HTMLIFrameElement;
  iframeMessenger: IframeMessenger;
  iframeSession: IframeSession;
  private getUrl;
  private onIframeRef;
  private onLoadIframe;
  private sendUpdateChatSettings;
  private onChatBoxMessage;
  render(): any;
  onChangeChatAccount(): void;
  onChangeChatWithAccount(): void;
  disconnectedCallback(): void;
}
